Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » OSGI bundle version of SWT 4.4.2(OSGI bundle version of SWT 4.4.2)
OSGI bundle version of SWT 4.4.2 [message #1713232] Mon, 02 November 2015 15:19 Go to next message
Alan Mitic is currently offline Alan MiticFriend
Messages: 1
Registered: November 2015
Junior Member
Hi All,

A project we are working on uses SWT (Version 3.8.1 that shipped with a old version of eclipse).

I want to upgrade to SWT 4.4.2, which is downloadable from the eclipse site. But I need the OSGI bundle version of 4.4.2 as our project previously used OSGI version of the SWT jars. The version supplied on the eclipse site is not an OSGI bundle.

Where can I get an OSGI bundle version of SWT 4.4.2?


Thanks

Alan
Re: OSGI bundle version of SWT 4.4.2 [message #1715512 is a reply to message #1713232] Tue, 24 November 2015 08:30 Go to previous message
Niraj Modi is currently offline Niraj ModiFriend
Messages: 47
Registered: November 2013
Member
Bundle version information is mentioned in MANIFEST.MF file, for SWT 4.4.2 it's 3.103.2 same you can find at below location:
http://git.eclipse.org/c/platform/eclipse.platform.swt.git/tree/bundles/org.eclipse.swt/META-INF/MANIFEST.MF?h=R4_4_maintenance
Previous Topic:Tabitem dispose in Linux - possible bug
Next Topic:no swt.jar in Mars
Goto Forum:
  


Current Time: Mon Dec 18 09:19:28 GMT 2017

Powered by FUDForum. Page generated in 0.01629 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software